Redmine - Defect #4853

Issues --> apply --> page link, then page show nothing, and does not work
2010-02-17 05:59 - miyuki takeda

Status: Closed Start date: 2010-02-17
Priority: Normal Due date:

Assignee: % Done: 50%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Cant reproduce Affected version:

Description

redmine "Issues" page shows nothing right after | push "apply" button, and click the link which can change how many tickets are
displayed on "Issues" page.

OS -->ubuntu8.10
web browser -->IE8
ruby 1.8.7

gem 1.3.5

If | use FireFox, this error never happens.
Neither does windows OS.

History

#1 - 2010-02-17 19:42 - Jean-Philippe Lang
Can't reproduce. Please read SubmittingBugs.

#2 - 2010-02-18 01:39 - miyuki takeda
- Assignee set to Jean-Philippe Lang

Thank you for your advice.

| should have mentioned more information.
Here is my environment's information.

e My database version is MySQL5.0

* My Ruby version is ruby 1.8.7

e My Rails version is Rails 2.3.5

e My Redmine version is redMine 0.9.2
| downloaded "redmine-0.9.2.tar.gz" from this page and installed in ubuntu 8.10(desktop).
http://rubyforge.org/frs/?group_id=1850

If you need more information, please let me know.

#3 - 2010-02-19 10:47 - Sgren Vind

| experience exactly the same. Pre-defined custom queries work perfectly in all browsers, but when applying a new filter the page turns blank. For me,
this happens in Firefox 3.6 and Chrome 4.0, but not in IE 8. | am running Windows XP. The same error occurs when trying to use the context menu (it
appears in |IE but fails in the other two). Furthermore, in my apache log, | can see a status 200 for IE and a 500 error for the other browsers when
doing the same action.

Running with log level :debug, Chrome and Firefox only yeilds "SQL" and "User Load" sections in the log, while IE also results in many other "*_Load"
sections. | can see no difference in the SQL and User Load sections of the log.

Distro: Debian Squeeze
Database: SQLite 3.6.22
Ruby version: 1.8.7
Rails version: 2.2.3
Redmine version: 0.9.1

#4 - 2010-02-19 19:41 - Jean-Philippe Lang

Can not reproduce with Firefox 3.6 / Windows XP.
Please post your log so | can try to see what is happening.
https://www.redmine.org/projects/redmine/wiki/SubmittingBugs
http://rubyforge.org/frs/?group_id=1850

#5 - 2010-02-25 04:01 - miyuki takeda

| add some more information that reproduce this problem.
Whole number of the issues should be less than the number that 1 page has.(default 25)
Please filter and lessen issues( less than 25), and try again.

| am so Sorry!
| tried to get logs, but | could not get appropriate one.(I don't have enough knowledge to do this, so sorry)

Saren;
If you don't mind, could you send the logs to Jean-Philippe?

#6 - 2010-03-04 11:45 - jw jw

I'm getting the same issue on firefox 3.6 / win 7.
Ruby version 1.8.7
Redmine version 0.9.2.devel

It happens when you click the apply button, regardless of how many issues are on the page.

Firefox gives an error:

Error: no element found

Source File: http:/redmineserver/issues?set_filter=1
Line: 1

IE8 gevs the following error:
Object required prototype.js?1265646817, line 1590 character 5

(That's this piece of JS code:

hide: function(element) {

element = $(element);

--> element.style.display = 'none';<--
return element;
#7 - 2010-03-04 19:46 - Jean-Philippe Lang

miyuki takeda wrote:

| add some more information that reproduce this problem.
Whole number of the issues should be less than the number that 1 page has.(default 25)
Please filter and lessen issues( less than 25), and try again.

I've just tried it and it works fine.

#8 - 2010-03-10 21:56 - Ryan Quigley

I'm also experiencing this.

Distro: Gentoo
Database: MySQL 5.0.77
Ruby version: 1.8.6
Rails: 2.3.5

Redmine: r3559

There is no error stack trace. Once this starts happening, all attempts to change filters fail for all users. Restarting WEBrick has no effect. The only
way to get it working again is by running ‘rake db:migrate RAILS_ENV=production at which point everything is fine again for some period of time
(anywhere from 1-5 days)

#9 - 2010-06-30 16:24 - Mattias Geniar
- % Done changed from 0 to 50

This seems to be solved by upgrading MySQL to the latest version, so I'm guessing it's an incompatible statement issued on an out-of-date MySQL
Server.

#10 - 2016-01-19 02:58 - Go MAEDA
- Status changed from New to Closed
- Assignee deleted (Jean-Philippe Lang)

- Resolution set to Cant reproduce

2025-07-07 2/3


http://redmineserver/issues?set_filter=1
https://www.redmine.org/projects/redmine/repository/svn/revisions/3559

Redmine 0.x is very old. In addition, implementation of pagination was changed by #5138 (Redmine 1.2.0).
Maybe no one is bothered by this issue now.

Files

redmine_issues_apply_error.xls 105 KB 2010-02-17 miyuki takeda
